Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362554 - CVE-2016-6494 mongodb: world-readable .dbshell history file [fedora-all]
Summary: CVE-2016-6494 mongodb: world-readable .dbshell history file [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mongodb
Version: 24
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Marek Skalický
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 13:40 UTC by Martin Prpič
Modified: 2016-10-06 22:21 UTC (History)
10 users (show)

Fixed In Version: mongodb-3.2.8-2.fc25 mongodb-3.0.12-2.fc23 mongodb-3.2.8-2.fc24
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 00:36:07 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-08-02 13:40:14 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2016-08-02 13:40:25 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1362553,1362554

# Description of your update
notes=Security fix for CVE-2016-6494

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Marek Skalický 2016-08-04 12:42:01 UTC
Upstream closed reported bug as "Works as Designed" and home directories in RHEL and Fedora are not world readable to other users, so Fedora will not add any downstream patch to solve this.

You can discuss this problem with upstream in https://groups.google.com/forum/#!topic/mongodb-dev/-QR4B7PJ9YY

Leaving this bug open till the end of mentioned upstream discussion.

Comment 3 Fedora Admin XMLRPC Client 2016-09-14 10:12:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2016-09-20 10:34:19 UTC
mongodb-3.2.8-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-89060100d7

Comment 5 Fedora Update System 2016-09-20 10:34:33 UTC
mongodb-3.0.12-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4cedbd4308

Comment 6 Fedora Update System 2016-09-20 10:34:40 UTC
mongodb-3.2.8-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a8e2bbc04

Comment 7 Marek Skalický 2016-09-20 10:35:46 UTC
Upstream introduced a fix.

See https://jira.mongodb.org/browse/SERVER-25335

Comment 8 Fedora Update System 2016-09-20 19:56:29 UTC
mongodb-3.2.8-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a8e2bbc04

Comment 9 Fedora Update System 2016-09-22 01:24:27 UTC
mongodb-3.0.12-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4cedbd4308

Comment 10 Fedora Update System 2016-09-22 01:25:23 UTC
mongodb-3.2.8-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-89060100d7

Comment 11 Fedora Update System 2016-09-27 00:36:07 UTC
mongodb-3.2.8-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-10-03 20:20:02 UTC
mongodb-3.0.12-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-10-06 22:21:54 UTC
mongodb-3.2.8-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.